## Contents

- Properties

class solace.OperationError extends solace.SolaceError

This class is not exposed for construction by API users. An error thrown by the API when an operational error is encountered.

## Constructor Top

| OperationError ( ) |  |

## Properties Top

String | message |  | inherited from solace.SolaceError
readonly String | name |  |
Object | reason |  |
solace.ErrorSubcode | subcode |  |

## Constructor details Top

###
OperationError ( )

This class is not exposed for construction by API users. An error thrown by the API when an operational error is encountered.

## Properties Detail Top

###
public String message

Error Message.

Inherited from solace.SolaceError

###
public readonly String name

'OperationError'

###
public Object reason

The reason for the error: an embedded error object or exception.

###
public solace.ErrorSubcode subcode

The subcode for the error. @see solace.ErrorSubcode